import {
  select, 
  json, 
  geoPath,
  set
} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

var path = geoPath()
    //.projection(projection);

var selected = set([
   9, 10, 12, 13, 17, 18, 19, 21, 23, 24,
  25, 26, 29, 31, 33, 34, 36, 37, 39, 42,
  44, 45, 47, 50, 51, 54, 55
]);

var selected2 = set([56]);

let selectedStates;

json('https://d3js.org/us-10m.v1.json')
  .then(data => {

  console.log(path)
  const states = feature(data,data.objects.states); 

  svg.selectAll('path').data(states.features)
    .enter().append('path')
    .attr("class", "state")
    .classed('highlighted', d => selected2.has(d.id))
    .classed('selected', d => selected.has(d.id))
  
    .attr('d', path);
  
});  

select(self.frameElement).style("height", height + "px");